(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12188,        261]
NotebookOptionsPosition[     11582,        242]
NotebookOutlinePosition[     12014,        259]
CellTagsIndexPosition[     11971,        256]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8133180405205746`*^9, 3.81331804481916*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"3dbe346f-5738-4edd-9429-1c3129f1727b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"0", "5", "4", "1", "0", "0", "0", "4"},
      {"5", "0", "2", "8", "0", "8", "8", "2"},
      {"4", "2", "0", "5", "0", "5", "4", "2"},
      {"1", "8", "5", "0", "0", "5", "0", "0"},
      {"0", "0", "0", "0", "0", "2", "1", "0"},
      {"0", "8", "5", "5", "2", "0", "0", "0"},
      {"0", "8", "4", "0", "1", "0", "0", "1"},
      {"4", "2", "2", "0", "0", "0", "1", "0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}], "\[NoBreak]", ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"grafo", "=", 
  RowBox[{"GrafoMP", "[", 
   RowBox[{"A", ",", 
    RowBox[{"{", 
     RowBox[{
     "a", ",", "e", ",", "d", ",", "f", ",", "h", ",", "c", ",", "g", ",", 
      "b"}], "}"}], ",", 
    RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.813318066917431*^9, 3.8133181030709376`*^9}, {
   3.8133185314789124`*^9, 3.813318542524365*^9}, {3.8133235979287376`*^9, 
   3.813323618376316*^9}, {3.8133466719791436`*^9, 3.8133466724442005`*^9}, {
   3.8133467541434236`*^9, 3.813346757652173*^9}, 3.813346822010618*^9, 
   3.8133479463875256`*^9, 3.8133481042480035`*^9, {3.842112896167617*^9, 
   3.8421129688303194`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"d0cc1d56-0e87-4799-9f08-2e03d2d80484"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`e, $CellContext`d, $CellContext`f, \
$CellContext`h, $CellContext`c, $CellContext`g, $CellContext`b}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 8}, {2, 3}, {2, 4}, {2, 6}, {2, 7}, {
       2, 8}, {3, 4}, {3, 6}, {3, 7}, {3, 8}, {4, 6}, {5, 6}, {5, 7}, {7, 
       8}}}, {EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`e] -> 5, 
         UndirectedEdge[$CellContext`h, $CellContext`c] -> 2, 
         UndirectedEdge[$CellContext`f, $CellContext`c] -> 5, 
         UndirectedEdge[$CellContext`e, $CellContext`g] -> 8, 
         UndirectedEdge[$CellContext`g, $CellContext`b] -> 1, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 1, 
         UndirectedEdge[$CellContext`d, $CellContext`c] -> 5, 
         UndirectedEdge[$CellContext`d, $CellContext`b] -> 2, 
         UndirectedEdge[$CellContext`e, $CellContext`d] -> 2, 
         UndirectedEdge[$CellContext`e, $CellContext`b] -> 2, 
         UndirectedEdge[$CellContext`e, $CellContext`c] -> 8, 
         UndirectedEdge[$CellContext`h, $CellContext`g] -> 1, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 8, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 5, 
         UndirectedEdge[$CellContext`d, $CellContext`g] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`d] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 4}, 
       EdgeWeight -> {5, 4, 1, 4, 2, 8, 8, 8, 2, 5, 5, 4, 2, 5, 2, 1, 1}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], {
         {Arrowheads[0.], 
          ArrowBox[{{2.696396585804466, 0.8478664417482976}, {
           1.7560048171324731`, 1.0454679454709006`}}, 0.02802197943104502]}, 
         InsetBox["5", {2.2262007014684695, 0.9466671936095992}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.696396585804466, 0.8478664417482976}, {
           1.803677543275675, 0.6452965391556591}}, 0.02802197943104502]}, 
         InsetBox["4", {2.2500370645400705, 0.7465814904519783}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.696396585804466, 0.8478664417482976}, {
           2.106025699921804, 0.}}, 0.02802197943104502]}, 
         InsetBox["1", {2.4012111428631346, 0.4239332208741488}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.696396585804466, 0.8478664417482976}, {
           2.1123054571690125`, 1.6861298618769782`}}, 0.02802197943104502]}, 
         InsetBox["4", {2.404351021486739, 1.2669981518126379}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7560048171324731`, 1.0454679454709006`}, {
           1.803677543275675, 0.6452965391556591}}, 0.02802197943104502]}, 
         InsetBox["2", {1.7798411802040741, 0.8453822423132799}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7560048171324731`, 1.0454679454709006`}, {
           2.106025699921804, 0.}}, 0.02802197943104502]}, 
         InsetBox["8", {1.9310152585271385, 0.5227339727354503}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7560048171324731`, 1.0454679454709006`}, {
           1.0015443759162799`, 0.21340737690912193`}}, 0.02802197943104502]},
          InsetBox["8", {1.3787745965243765, 0.6294376611900112}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7560048171324731`, 1.0454679454709006`}, {
           1.0010538430444254`, 1.4753598514007582`}}, 0.02802197943104502]}, 
         InsetBox["8", {1.3785293300884494, 1.2604138984358295}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.7560048171324731`, 1.0454679454709006`}, {
           2.1123054571690125`, 1.6861298618769782`}}, 0.02802197943104502]}, 
         InsetBox["2", {1.9341551371507428, 1.3657989036739395}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.803677543275675, 0.6452965391556591}, {
           2.106025699921804, 0.}}, 0.02802197943104502]}, 
         InsetBox["5", {1.9548516215987395, 0.32264826957782955}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.803677543275675, 0.6452965391556591}, {
           1.0015443759162799`, 0.21340737690912193`}}, 0.02802197943104502]},
          InsetBox["5", {1.4026109595959775, 0.4293519580323905}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.803677543275675, 0.6452965391556591}, {
           1.0010538430444254`, 1.4753598514007582`}}, 0.02802197943104502]}, 
         InsetBox["4", {1.4023656931600503, 1.0603281952782087}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.803677543275675, 0.6452965391556591}, {
           2.1123054571690125`, 1.6861298618769782`}}, 0.02802197943104502]}, 
         InsetBox["2", {1.9579915002223438, 1.1657132005163187}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{2.106025699921804, 0.}, {1.0015443759162799`, 
           0.21340737690912193`}}, 0.02802197943104502]}, 
         InsetBox["5", {1.5537850379190419, 0.10670368845456096}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.8433550101207423}, {1.0015443759162799`, 
           0.21340737690912193`}}, 0.02802197943104502]}, 
         InsetBox["2", {0.5007721879581399, 0.5283811935149321}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{0., 0.8433550101207423}, {1.0010538430444254`, 
           1.4753598514007582`}}, 0.02802197943104502]}, 
         InsetBox["1", {0.5005269215222127, 1.1593574307607502}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         {Arrowheads[0.], 
          ArrowBox[{{1.0010538430444254`, 1.4753598514007582`}, {
           2.1123054571690125`, 1.6861298618769782`}}, 0.02802197943104502]}, 
         InsetBox["1", {1.556679650106719, 1.5807448566388682}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.696396585804466, 0.8478664417482976}, 
          0.02802197943104502], 
         InsetBox["a", 
          Offset[{2, 2}, {2.724418565235511, 0.8758884211793426}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7560048171324731, 1.0454679454709006}, 
          0.02802197943104502], 
         InsetBox["e", 
          Offset[{2, 2}, {1.7840267965635181, 1.0734899249019456}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.803677543275675, 0.6452965391556591}, 
          0.02802197943104502], 
         InsetBox["d", Offset[{2, 2}, {1.83169952270672, 0.6733185185867041}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.106025699921804, 0.}, 0.02802197943104502], 
         InsetBox["f", 
          Offset[{2, 2}, {2.134047679352849, 0.02802197943104502}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.8433550101207423}, 0.02802197943104502], 
         InsetBox["h", 
          Offset[{2, 2}, {0.02802197943104502, 0.8713769895517873}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0015443759162799, 0.21340737690912193}, 
          0.02802197943104502], 
         InsetBox["c", 
          Offset[{2, 2}, {1.0295663553473249, 0.24142935634016693}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0010538430444254, 1.4753598514007582}, 
          0.02802197943104502], 
         InsetBox["g", 
          Offset[{2, 2}, {1.0290758224754704, 1.5033818308318032}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1123054571690125, 1.6861298618769782}, 
          0.02802197943104502], 
         InsetBox["b", 
          Offset[{2, 2}, {2.1403274366000575, 1.7141518413080232}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8421129768648033`*^9, {3.84211300950935*^9, 3.842113018474886*^9}},
 CellLabel->"Out[14]=",ExpressionUUID->"1cf05858-8914-4a9d-97c7-465ff8a29abb"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.3 para Microsoft Windows (64-bit) (May 11, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"7b48d8cb-6e0b-46c4-92d6-30dce2e80710"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 199, 3, 42, "Input",ExpressionUUID->"3dbe346f-5738-4edd-9429-1c3129f1727b"],
Cell[CellGroupData[{
Cell[782, 27, 1591, 35, 290, "Input",ExpressionUUID->"d0cc1d56-0e87-4799-9f08-2e03d2d80484"],
Cell[2376, 64, 9190, 175, 400, "Output",ExpressionUUID->"1cf05858-8914-4a9d-97c7-465ff8a29abb"]
}, Open  ]]
}
]
*)

